#include <iostream>
using namespace std;

const unsigned numberTowers = 3;
const unsigned heightTowers = 5;


void init(unsigned (&towers)[numberTowers][heightTowers]) {
    cout << sizeof(towers) << endl;
    cout << sizeof(towers[0]) << endl;
    cout << (sizeof(towers) / sizeof(towers[0])) << endl;

    for (unsigned i = 0; i < (sizeof(towers) / sizeof(towers[0])); ++i) {
        for (unsigned j = 0; j < (sizeof(towers[i]) / sizeof(unsigned)); ++j) {
            towers[i][j] = 0;
        }
    }
    for (unsigned i = 0; i < (sizeof(towers[0]) / sizeof(unsigned)); ++i) {
        towers[0][i] = 2*i + 1;
    }
}

int main() {
    unsigned towers[numberTowers][heightTowers]; /*= {
        {0, 0, 0, 0, 0},
        {0, 0, 0, 0, 0},
        {0, 0, 0, 0, 0}
    }; */
    cout << sizeof(towers) << endl;
    cout << sizeof(towers[0]) << endl;
    cout << (sizeof(towers) / sizeof(towers[0])) << endl;

    init (towers);
    return 0; 
}