#include<iostream>
using namespace std;
// Beispiel Skript C++ Folie 101
struct Adresse {
  Adresse (const char* p, unsigned nr) { // Konstruktor; führt Initialisierung durch
    name = p;
    matrikelnummer = nr;
  }
  ~Adresse () { // Destruktor; wird am Lebensende des Objekts aufgerufen (bekommt keine Parameter)
    cout << "Ich bin tot" << endl;
  }
  const char* name;
  unsigned matrikelnummer;
};

void print(Adresse& r) { // Bekommt eine Referenz auf ein Adresse-Objekt, spart Speicherplatz, weil es nicht dupliziert wird (siehe call-by-reference)
  cout << r.name << "  " << r.matrikelnummer << endl;
}

int main () {
  {
    Adresse a("Otto", 12345); // a ist lokal deklariert, in Zeile 22 wird der Distruktor von a aufgerufen
    print(a);
  } // hier stirbt a (armer Otto)
  return 0;
}