/**
 * @file aufgabe01.cpp
 * @author Gießel, Franjo (Franjo.Giessel@HS-Bremerhaven.de)
 * @brief 
 * @version 0.1
 * @date 2022-04-25
 * 
 * @copyright Copyright (c) 2022
 * 
 * Programmieren Sie eine Methode, die folgendes auf dem Bildschirm ausgibt:
 *    *
 *   ***
 *  *****
 *   ***
 *    *
 * Dabei soll die Höhe durch einen Parameter n angegeben werden.
 */

#include <iostream>

using namespace std;

void line(int i, int n) {
    for (int j = 0; j < n/2-i; ++j) {
        cout << " ";
    }
    for (int j = 0; j < i*2+1; ++j) {
        cout << "*";
    }
    cout << endl;
}

void pyramide(int n) {
    for (int i = 0; i < n; ++i) {
        line(i, 2*n);
    }
}

void raute(int n) { 
    for (int i = 0; i < n/2 + (n % 2 == 0 ? 0 : 1); ++i) {
        line(i, n);
    }
    for (int i = n/2-1; i >= 0; --i) {
        line(i, n);

    }
}

int main() {
    int i {0};
    cout << "Höhe eingeben:  ";
    cin >> i;
    cout << "Höhe: " << i << endl;

    pyramide(i);
    cout << endl << endl;
    raute(i);
    return 0;
}