/**
 * @file aufgabe03.cpp
 * @author Gießel, Franjo (Franjo.Giessel@smail.HS-Bremerhaven.de)
 * @brief 
 * @version 0.1
 * @date 2022-04-25
 * 
 * @copyright Copyright (c) 2022
 * 
 * Programmieren Sie eine Methode, die zwei int Zahlen i1 und i2 übergeben
 * bekommt und diejenige Zahl zurückliefert, die mehr Einsen in ihrer
 * Binärdarstellung enthält.
 */

#include <iostream>
#include <bitset>

using namespace std;
    
unsigned countBits(int i1) {
    unsigned i1Bits = 0;

    while (i1 != 0) {
        if (1 & i1) {
            ++i1Bits;
        }
        //cout << endl << bitset<4*8>(i1).to_string() << "  " << i1 << "   " << i1Bits << "  ";
        i1 = (unsigned) i1 >> 1; // i1 >>= 1
    }
    return i1Bits;
}

int higherBitCount(int i1, int i2) {
    unsigned i1Bits = countBits(i1);
    unsigned i2Bits = countBits(i2);

    return i1Bits > i2Bits ? i1 : i2;
}

int main() {
    int i1 = 0;
    int i2 = 0;
    
    cout << "Nummer 1: ";
    cin >> i1;
    cout << "Nummer 2: ";
    cin >> i2;

    cout << "Die Zahl " << higherBitCount(i1, i2) << " hat mehr gesetzte Bits." << endl;
    return 0;
}
